Get specific network - Fabric
Get specific network
cURL
curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/inventory/network/{networkId} \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
Python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/inventory/network/{networkId}"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/inventory/network/{networkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/inventory/network/{networkId}",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "GET",\
CURLOPT_HTTPHEADER => [\
"Authorization: Bearer <token>",\
"x-site-context: <x-site-context>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/inventory/network/{networkId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://prod01.oms.fabric.inc/api/v2/inventory/network/{networkId}")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://prod01.oms.fabric.inc/api/v2/inventory/network/{networkId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Responses
200
Application/json
Success response:{ "networkId": "62278e49167b6079755aa5e7", "code": "DC", "name": "Distribution Center", "safetyStock": 2, "rules": { "locationData.attributes.channel": "Frontline", "productData.attributes.subclass": { "$nin": 778942701 } } }400
Invalid request payload or parameter{ "message": "Invalid request payload or parameter" }404
Counter code: on-hand already exists.{ "message": "Counter code: on-hand already exists." }500
Internal server error{ "message": "An internal error occurred. If the issue persists please contact support@fabric.inc." }
Authorizations
- Authorization
Type: string
Required: Yes
Description: Bearer authentication header of the formBearer <token>, where<token>is your auth token.
Headers
| Header | Required | Description |
|---|---|---|
| x-site-context | Yes | A JSON object that contains information about the source you wish to pull from. |
Example:{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
Path Parameters
| Parameter | Required | Description |
|---|---|---|
| networkId | Yes | Unique identifier of a network |
Example:"62278e49167b6079755aa5e7"
Response Fields
| Field | Type | Description |
|---|---|---|
| networkId | string | Network ID |
| code | string | Unique identifier for the network |
| name | string | Name of the network |
| safetyStock | integer |
Safety stock count |
| rules | object | Conditional rule specific to location |